The Spring Framework

## org.springframework.transaction.config
Class JtaTransactionManagerBeanDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
              org.springframework.transaction.config.JtaTransactionManagerBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

    public class JtaTransactionManagerBeanDefinitionParser

extends AbstractSingleBeanDefinitionParser

Parser for the <tx:jta-transaction-manager/> element, autodetecting BEA WebLogic, IBM WebSphere and Oracle OC4J.

Since:
  2.5
Author:
  Juergen Hoeller, Christian Dupuis

Field Summary
`static String` `DEFAULT_TRANSACTION_MANAGER_BEAN_NAME`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`JtaTransactionManagerBeanDefinitionParser()`

Method Summary
`protected String` `getBeanClassName(Element element)` Determine the bean class name corresponding to the supplied `Element`.
`protected String` `resolveId(Element element, AbstractBeanDefinition definition, ParserContext parserContext)` Resolve the ID for the supplied `BeanDefinition`.

Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
`doParse, doParse, getBeanClass, getParentName, parseInternal`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TRANSACTION_MANAGER_BEAN_NAME

    public static final String DEFAULT_TRANSACTION_MANAGER_BEAN_NAME

See Also:
  Constant Field Values

Constructor Detail

### JtaTransactionManagerBeanDefinitionParser

    public JtaTransactionManagerBeanDefinitionParser()

Method Detail

### getBeanClassName

    protected String getBeanClassName(Element element)

  Description copied from class: `AbstractSingleBeanDefinitionParser`
  Determine the bean class name corresponding to the supplied `Element`.

  Overrides:
    `getBeanClassName` in class `AbstractSingleBeanDefinitionParser`
  Parameters:
    `element` - the `Element` that is being parsed
  Returns:
    the class name of the bean that is being defined via parsing the supplied `Element`, or `null` if none
  See Also:
    `AbstractSingleBeanDefinitionParser.getBeanClass(org.w3c.dom.Element)`

### resolveId

    protected String resolveId(Element element,
                               AbstractBeanDefinition definition,
                               ParserContext parserContext)

  Description copied from class: `AbstractBeanDefinitionParser`
  Resolve the ID for the supplied `BeanDefinition`.

  When using `generation`, a name is generated automatically. Otherwise, the ID is extracted from the "id" attribute, potentially with a `fallback` to a generated id.

  Overrides:
    `resolveId` in class `AbstractBeanDefinitionParser`
  Parameters:
    `element` - the element that the bean definition has been built from
    `definition` - the bean definition to be registered
    `parserContext` - the object encapsulating the current state of the parsing process; provides access to a `BeanDefinitionRegistry`
  Returns:
    the resolved id

The Spring Framework

Copyright © 2002-2008 The Spring Framework.